Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel
Class ImportFilePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.ImportFilePanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

Direct Known Subclasses:
  ImportCardPanel, RestorePanel

public abstract class ImportFilePanel
extends com.google.gwt.user.client.ui.Composite

Constructor Summary
`ImportFilePanel(String actionUrl, String fileMask)`

Method Summary
`SimpleDialog` | `getDialog()`
`String[]` | `getFileMask()`
`com.google.gwt.user.client.ui.FileUpload` | `getUpload()`
`abstract void` | `onSubmit(com.google.gwt.user.client.ui.FormSubmitEvent event)`
`abstract void` | `onSubmitComplete(com.google.gwt.user.client.ui.FormSubmitCompleteEvent event)`
`void` | `setAction(String url)`
`void` | `setFileMask(String fileMask)`
`void` | `show(String dialogHeaderMessage)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImportFilePanel

    public ImportFilePanel(String actionUrl,
                           String fileMask)

Method Detail

### show

    public void show(String dialogHeaderMessage)

### setAction

    public void setAction(String url)

### getFileMask

    public String[] getFileMask()

### getUpload

    public com.google.gwt.user.client.ui.FileUpload getUpload()

### setFileMask

    public void setFileMask(String fileMask)

### getDialog

    public SimpleDialog getDialog()

### onSubmitComplete

    public abstract void onSubmitComplete(com.google.gwt.user.client.ui.FormSubmitCompleteEvent event)

### onSubmit

    public abstract void onSubmit(com.google.gwt.user.client.ui.FormSubmitEvent event)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD